UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 24671

EDK generated a BSP for VxWorks 6.3 that does not allow the inclusion of some C++ libraries

Description

EDK generated a BSP for VxWorks 6.3 that does not allow the inclusion of some C++ libraries:

- C++ iostreams and other standard library facilities (default)

- C++ core runtime (default)

Solution

Wind River has confirmed that the following C++ components require floating point libraries:

- C++ iostreams and other standard library facilities (default)

- C++ core runtime (default)

Because the PPC4xx does not have a hardware floating point, the standard GNU compiler in VxWorks 6.x does not support these C++ components. Consequently, these components cannot be selected from the kernel configuration menu. However, if you create a project based on the EDK generated BSP for the PPC405, you can select the "sfgnu" compiler. This includes software floating point libraries and allows you to include the C++ components.

AR# 24671
Date Created 09/04/2007
Last Updated 12/15/2012
Status Active
Type General Article